Description

The Layer > Remove > Remove menu option is translated two times in the same item.

http://s04.justpaste.it/files/justpaste/d226/a9219824/file1.png

This is how is represented in the config.xml:

<menu text="Layer/Remove/remove" name="remove" />

Maybe it should be:

<menu text="Layer/Modify/remove" name="remove" />

History
#1 - 05/28/2015 06:15 PM - Álvaro Anguix
- Assignee set to Mario Carrera

#2 - 05/29/2015 11:10 AM - Mario Carrera
- Assignee changed from Mario Carrera to Lluís Marqués
- File suprimir-.png added

It seems it's the shortcut, so the translation would be "Supr" directly (I attach a screenshot). 
If the developers confirm it it should be fixed from the source code.

#3 - 05/29/2015 12:23 PM - Mario Carrera
- Assignee deleted (Lluís Marqués)

Hi Antonio, 
in my last comment I thought you were referring to the "Rimuovi" and "Elimina" texts at the same box. 
We've been speaking about that, and we think it would be interesting to separate the options: Insert, Modify and Remove. They are three different
possibilities. 
Maybe the submenu can be translated as "Remove element". What do you think? 
Cheers

#4 - 05/29/2015 12:33 PM - Antonio Falciano

Hi Mario, I think that "Remove feature" is a better option. It's always good to specify the object. Cheers.

#5 - 06/29/2015 08:38 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 98

#6 - 01/18/2016 11:29 PM - Joaquín  del Cerro Murciano
- Target version changed from 98 to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#7 - 01/20/2016 10:53 AM - Daniel Martinez

These accelerator labels are defined externally

#8 - 01/20/2016 10:53 AM - Daniel Martinez
- Status changed from New to Fixed

#9 - 01/20/2016 11:56 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122)

#10 - 01/25/2016 06:02 PM - Antonio Falciano
- Status changed from Fixed to New

The menu is translated in the same way in build 2416.

#11 - 01/25/2016 06:02 PM - Antonio Falciano
- Target version changed from 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#12 - 01/26/2016 03:51 PM - Francisco Díaz Carsí

Hola Antonio:

El menú no está traducido dos veces en el mismo item.
En cualquier entrada de menú que tiene acelerador de teclado podrás ver (de izquierda a derecha):
1º el icono (si lo tiene)
2º El nombre de la entrada de menú traducido. De esta traducción se encarga gvSIG.
3º El acelerador de teclado traducido al idioma del sistema operativo. Sobre la traducción del acelerador de teclado no tenemos control, se encarga la
librería gráfica.

Así, por ejemplo, en la entrada de "Nuevo proyecto" tienes:
[El icono] Nuovo progetto Ctrl-N

En el caso del menú Borrar, en castellano tenemos:
[El icono] Borrar Suprimir
Y en italiano
[El icono] Rimouvi Elimina

Siendo "Suprimir" y "Elimina" las traducciones al castellano e italiano respectivamente de la tecla "delete".

Espero que sirva esta explicación.

Un saludo.

#13 - 01/26/2016 04:21 PM - Álvaro Anguix
- Status changed from New to Won't fix

#14 - 01/26/2016 07:02 PM - Antonio Falciano
- Status changed from Won't fix to New

Hi all,
IMHO this menu item needs a better solution in order to avoid further confusion with translations plus the accelerator/shortcut. It's not enough clear
what the "Remove" option does actually. What does it remove? It deletes the selected features (if available) of the vector layer in edition mode. Ok, so
a good fix in the config.xml could be something like:

<action name="remove" label="Remove_selected_features" tooltip="Remove_selected_features" 
        action-command="remove" icon="remove" position="601002000" 
        accelerator="delete" />
[...]       
<menu text="Layer/Remove/Remove_selected_features" name="Remove_selected_features" />

where:

#en
Remove_selected_features=Remove selected features
#it
Remove_selected_features=Rimuovi elementi selezionati

avoiding also the i18n string conflicts where the "remove" string is used.
Furthermore, if it deletes the selected features why is it always active even if there isn't a selection? See also #4053.

#15 - 02/10/2016 12:17 PM - Álvaro Anguix
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#16 - 06/07/2017 02:55 PM - Francisco Díaz Carsí
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2821 (rev. org.gvsig.desktop-2.0.187) 

#17 - 06/07/2017 04:35 PM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí
- Status changed from New to Fixed

#18 - 06/12/2017 12:09 PM - Álvaro Anguix
- Status changed from Fixed to Closed
Files
suprimir-.png 24.1 KB 05/29/2015 Mario Carrera
